Android Studio 3.1がリリースされていました。

最近、スマホアプリの制作はやっていないのですが、とりあえず最新版には更新しておこうということで、Updateを実行しました。

3.0.1から3.1へのバージョンアップです。

笑

今回のアップデートはなにごともなくスムーズに進行したのでしょうか。

プロジェクトを開くとエラーが・・・

Could not find com.android.tools.build:gradle:3.0.1.
Searched in the following locations:
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.jar
Required by:
project :
Add Google Maven repository and sync project
Open File

Buildウィンドウに上記のエラーが表示されてしまいました。

情報を探してみると、Stack Overflowに同様の報告があったのでそのとおりに実行してみます。

「Add Google Maven repository and sync project」をクリックするとファイルの更新作業が始まります。

Buildウインドウ

完了後もBuild Toolsのインストールや
Build Tools

SDK Build Toolsのアップデートもありました。
SDK Build Tools

以上、ここまで作業をして無事バージョンアップ終了です。


今日のピックアップ

とにかく英語が苦手です。

言語ソフトを使っているとメッセージは英語が多いし、調べごとも英語のサイトを見に行かなければいけないことがよくあります。
そこで、翻訳ソフトを使っているのですが、今回はこのエラーメッセージを翻訳させて見たのですが、・・・


com.android.tools.build:gradle:3.0.1を見つけることができませんでした。
以下の位置で検索されます:
次によって必要とされている
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.jar:
プロジェクト:
Googleメイビン貯蔵所と同期がオープン・ファイルを計画すると付け加えてください。

余計にわからなくなってしまいました。

そこで、Google翻訳使ってみました。


com.android.tools.build:gradle:3.0.0.1が見つかりませんでした。
次の場所で検索しました:
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.jar
必要なもの:
プロジェクト:
Google Mavenリポジトリを追加してプロジェクトを同期する
ファイルを開く

これなら理解できますね。